お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2018-08-02 17:51:04

futatsuya710
メンバ
登録日: 2012-08-27

Xsane Image Scanning Programがインストールできません

先日、OSをUbuntu16.04からUbuntu18.04.1にアップグレードしました。
その際に、16.04でしばしば使っていた「Xsane Image Scanning Program」が
/usr/share/applications
から消えてしまいました。

Ubuntuソフトウェアからインストールしようとすると、

"Xsane Image Scanning Program"をインストールできません。
The following packages have unmet dependencies:

と表示されます。

sudo apt-get -f install xsane
を実行すると、

パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
インストールすることができないパッケージがありました。おそらく、あり得
ない状況を要求したか、(不安定版ディストリビューションを使用しているの
であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移
動されていないことが考えられます。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージには満たせない依存関係があります:
xsane : 依存: libsane1 (>= 1.0.24) しかし、インストールされようとしていません
E: 問題を解決することができません。壊れた変更禁止パッケージがあります。

と表示されます。

「シンプルスキャン」は使えますが、「Xsane Image Scanning Program」を使いたいです。
アドバイスを頂けると助かりますので、よろしくお願い致します。

オフライン

 

#2 2018-08-02 21:41:16

yaneno-suzume
メンバ
From: 名古屋
登録日: 2013-06-30

Re: Xsane Image Scanning Programがインストールできません

参考にならないかもですが、当方では
Ubuntu 18.04 LTS 日本語Remix をクリーンインストール
(更新しているので現在は 18.04.1)
xsane 0.999 を Ubuntuソフトウェア からインストール
シンプルスキャン 3.28.0 はそのまま残っていて、
両方動作しています。

つまり最後の手段?としてクリーンインストールもあるかと思います。

オフライン

 

#3 2018-08-02 21:50:11

futatsuya710
メンバ
登録日: 2012-08-27

Re: Xsane Image Scanning Programがインストールできません

yaneno-suzume様

クリーンインストールでの動作報告をいただき、ありがとうございます。
今回の件は、アップグレードに伴うパッケージの依存関係の問題が疑わしいです。
もう少し頑張ってみます。
切り札をご教示下さり、御礼申し上げます。

オフライン

 

#4 2018-08-09 19:13:53

futatsuya710
メンバ
登録日: 2012-08-27

Re: Xsane Image Scanning Programがインストールできません

アップグレードの際に、systemd-shimというパッケージのために中断したのを思い出し、破損や衝突のパッケージを削除していたら、GUIでログインできなくなってしましました。
やむなく、USBメモリやSDカードにデータを避難させ、クリーンインストールしました。
デバイスのドライバのインストールをすべて自動でやってくれたため、数時間で18.04.1が使えるようになりました。
12.04からアップグレードを続けて来ましたが、6年ぶりにすっきりした感じです。
ありがとうございました。

オフライン

 

Board footer

Powered by FluxBB